## maemo-security-certman 0.2.9

=== updateca/Makefile ===
parse-certdata-txt: parse-certdata-txt.c
	gcc -o $@ `pkg-config --libs --cflags openssl` $<

## maemo-security-certman 0.2.2

=== debian/changelog ===
maemo-security-certman (0.2.2) unstable; urgency=low

  Added the two wrongly issued intermediate certficates from TÜRKTRUST
  see http://googleonlinesecurity.blogspot.co.at/2013/01/enhancing-digital-certificate-security.html

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Sun,  6 Jan 2013 22:19:22 +0100

maemo-security-certman (0.2.1) unstable; urgency=low

  Added the two compromised Malaysian signing certs to the
  blacklist.

 -- Juhani Mäkelä <juhani.makela@asiaa.fi>  Thu, 17 Nov 2011 14:57:50 +0200

maemo-security-certman (0.2.0) unstable; urgency=low

  Added explicit blacklisting of compromised or rogue
  certificates following the Mozilla model. A new shared
  cert domain "blacklist" now contains all blocker certs from
  Mozilla's built-in certdata.txt as in changeset 76451:cf1ba8f0dbf7
  Sep 02. See Mozilla bug 683261 for further information.
    The downside is that the blacklisted certificates appear
  in the settings applet as if they were valid since it shows the
  contents of all domains regardless of their type the same way.
  This must be fixed in the maemo-security-certificates-applet.

 -- Juhani Mäkelä <juhani.makela@asiaa.fi>  Wed, 07 Sep 2011 16:21:41 +0300

maemo-security-certman (0.1.9) unstable; urgency=low

  Updated the root certificate set. Removed the compromised
  DigiNotar CA and a bunch of expired roots and added the new
  roots. Common-ca now matches NSS 3.13 changeset 76201:04a58ba1ce1e
  of Aug 31, 2011 from  http://hg.mozilla.org/mozilla-central/.
    Also backported from Harmattan the handling of several certificates
  with the same public key, which is needed for Verisign roots
  00d85a4c25c... and f3a27298eeb...

 -- Juhani Mäkelä <juhani.makela@asiaa.fi>  Fri, 02 Sep 2011 14:54:13 +0300

maemo-security-certman (0.1.8) unstable; urgency=low

  * Backported fix of NB#172389 from Harmattan: cryptoki_module causes
    a crash if not all certificates can be fetched from the store.
    This can be caused by a broken store or similar causes.
      Fixes: MB#10423
  * Updated the root certificate set.

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Fri, 09 Jul 2010 14:18:36 +0300

maemo-security-certman (0.1.7) unstable; urgency=low

  * Added '-e' command line switch to cmcli to echo the
    key id of installed certificates.
      Fixes: NB#154963

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Wed, 17 Feb 2010 18:00:00 +0300

maemo-security-certman (0.1.6) unstable; urgency=low

  * Updated the root certificate set as in Mozilla trunk.
      Fixes: NB#148509
  * Removed the "bool" definition from maemosec_common.h, as
    it collides easily with other sources (libcurl, for instance)

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Wed, 09 Dec 2009 17:10:00 +0300

maemo-security-certman (0.1.5) unstable; urgency=low

  * Fixed the mozilla libnssckbi-diversion.

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Fri, 20 Nov 2009 19:10:00 +0300

maemo-security-certman (0.1.4) unstable; urgency=low

  * Enabled using empty passwords with client certs in cryptoki.
  * Prevented creation of private certificate stores as root.
      Fixes: NB#135144

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Thu, 03 Sep 2009 15:28:18 +0300

maemo-security-certman (0.1.3) unstable; urgency=low

  * Corrected the searching of a private key in the cryptoki module
      Fixes: NB#131107
      Fixes: NB#107774
  * Corrected jamming when cryptoki module was loaded multiple times
    by the same application, and errors in releasing cryptoki memory
    found in code review.
      Fixes: NB#123365
  * Implemented hash files for OpenSSL compatibility. No solution for
    global SSL_CERT_DIR setting yet, though.
      Fixes: NB#132669
  * Added initialization of modest secmod configuration also in /etc/skel.
      Fixes: NB#118432

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Wed, 18 Aug 2009 19:10:00 +0300

maemo-security-certman (0.1.2) unstable; urgency=low

  * Changed the include path to pkcs11-headers from mozilla-nss once more.
      Fixes: NB#127046

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Wed, 29 Jul 2009 14:37:09 +0300

maemo-security-certman (0.1.1) unstable; urgency=low

  * Restored nsscfg and calling it in maemosec-certman-tools.postinstall
    for modest mail.
      Fixes: NB#118432
  * Implemented verification of certificate chains longer than one
    certificate in "cmcli -v".
  * Removed libbb5.so library and included the functionality inside
    libmaemosec.so.

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Fri, 26 Jun 2009 15:05:31 +0300

maemo-security-certman (0.1.0) unstable; urgency=low

  * Fixed an error with base64_decode which left the last byte away
    from the data in some cases. 
      Fixes: NB#115790	
  * Added a check for using the root certificate before the module
    is initialized.
      Fixes: NB#112831

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Fri, 18 May 2009 17:00:00 +0300

maemo-security-certman (0.0.9) unstable; urgency=low

  * Do not erase keyfiles but certificate file in stead when
    removing a certificate.

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Fri, 28 Apr 2009 19:30:00 +0200

maemo-security-certman (0.0.8) unstable; urgency=low

  * Updated the cryptoki configuration file to comply with the
    store names in the maemo-security-certman-applet package.

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Tue, 31 Mar 2009 16:40:00 +0200

maemo-security-certman (0.0.7) unstable; urgency=low

  * Removed redundant pkcs11-headers from the package and used
    the ones from NSS in stead. Defined dependencies so that the
    package can be built in Debian desktop distro in addition of
    maemo scratchbox. Added function maemosec_certman_get_nickname,
    added the ability to check TLS/SSL servers over network to cmcli, and
    fixed some minor bugs here and there. Fixes: NB#100963

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Mon, 27 Feb 2009 16:40:00 +0200



=== debian/control ===
Source: maemo-security-certman
Section: user/other
Priority: extra
Maintainer: Juhani Mäkelä <ext-juhani.3.makela@nokia.com>
Build-Depends: debhelper (>= 5), autotools-dev, fakeroot, libtool, pkg-config,
 libssl-dev, libosso-dev (>= 1.0.2-1), libdbus-glib-1-2 (>= 0.60-1osso1), 
 libexpat1-dev, microb-engine-dev
Standards-Version: 3.7.2

Package: libmaemosec0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Maemo security base library
 The common security base library 

Package: libmaemosec0-dbg
Section: libdevel
Architecture: any
Priority: extra
Depends: libmaemosec0 (= ${Source-Version})
Description: Debug symbols for maemo security base library
 Debug symbols for the the maemo security base library 

Package: libmaemosec-dev
Section: libdevel
Architecture: any
Depends: libmaemosec0 (=${binary:Version}), libssl-dev
Description: Maemo security base library
 Development files for the maemo security base library 

Package: libmaemosec-certman0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libnss3 | libnss3-0d | libnss3-1d
Description: Maemo certificate manager shared library
 The maemo certificate manager shared library.

Package: libmaemosec-certman0-dbg
Section: libdevel
Architecture: any
Depends: libmaemosec-certman0 (= ${Source-Version})
Description: Debug symbols for maemo certificate manager shared library
 Debug symbols for the maemo certificate manager shared library.

Package: libmaemosec-certman-dev
Section: libdevel
Architecture: any
# Conflicts: libcst-dev
# Replaces: libcst-dev
Depends: libmaemosec-certman0 (=${binary:Version}), libmaemosec-dev, libssl-dev
Description: Maemo certificate manager shared library headers and librariers
 Development files for the maemo certificate manager.

Package: maemosec-certman-tools
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Maemo certificate manager runtime tools
 The command line tools for managing certificate stores.

Package: maemosec-certman-tools-dbg
Section: devel
Architecture: any
Depends: maemosec-certman-tools (= ${Source-Version})
Description: Debug symbols for maemo certificate manager runtime tools
 Debug symbols for the command line tools of maemo certificate manager

Package: maemosec-certman-common-ca
Architecture: all
Section: libs
Depends: openssl
Description: Common CA certificates
 The common CA certificate store.

Package: maemosec-certman-doc
Section: doc
Architecture: all
Description: Maemo certificate manager documentation
 Maemo certificate manager documentation is currently empty.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g -fPIC -Werror

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -DMAEMOSEC_DEBUG_ENABLED
endif

# shared library versions, option 1
version=0.0.0
major=0
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh
	./configure --prefix=/usr
	touch $@


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	install -d debian/tmp debian/libmaemosec0 debian/libmaemosec-dev debian/libmaemosec-certman0 debian/libmaemosec-certman-dev debian/maemosec-certman-tools debian/maemosec-certman-common-ca
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_movefiles
	dh_install -s

binary-common: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip --dbg-package="libmaemosec0" \
		 --dbg-package="libmaemosec-certman0" \
		 --dbg-package="maemosec-certman-tools"
	dh_compress
	dh_fixperms
#	dh_gconf
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independent packages using the common target.
binary-indep: build install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Build architecture-dependent files here.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## maemo-security-certman 0.2.9

=== debian/changelog ===
maemo-security-certman (0.2.9) unstable; urgency=low

  Certificate fix for location-proxy

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Sun,  5 Feb 2017 11:58:10 -0500

maemo-security-certman (0.2.8) unstable; urgency=low

  Update the root CA store to match mozilla-central revision e581572bc9c1

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Sat,  4 Feb 2017 19:43:36 -0500

maemo-security-certman (0.2.7) unstable; urgency=low

  Update the root CA store to match mozilla-central revision aca64a177c44 

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Sat, 29 Oct 2016 18:45:04 -0400

maemo-security-certman (0.2.6) unstable; urgency=low

  Update the root CA store to match mozilla-central revision bb5316a4c7c2

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Sun, 31 Jul 2016 04:27:28 -0400

maemo-security-certman (0.2.5) unstable; urgency=low

  Update the root CA store to match mozilla-central revision 1f84dea6508d

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Mon,  4 Apr 2016 17:47:10 -0400

maemo-security-certman (0.2.4) unstable; urgency=low

  Backport a change from Harmattan to handle the fact that /etc is a symlink
  in Scratchbox
  Add a tool and instructions for updating the root CA store
  Update the root CA store to match the Mozilla certdata.txt file from 
  the mozilla-central repositiory at revision 64df3815df9c

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Mon,  8 Feb 2016 07:41:40 -0500

maemo-security-certman (0.2.3) unstable; urgency=low

  Change the order of VerSign root certificates, so "newer" certificate
  to appear first. Fixes supl server not working.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri,  30 Aug 2013 12:36:42 +0300

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,19 @@
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
+	CXXFLAGS += -O0
 else
 	CFLAGS += -O2
+	CXXFLAGS += -O2
 endif
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -DMAEMOSEC_DEBUG_ENABLED
+	CXXFLAGS += -DMAEMOSEC_DEBUG_ENABLED
 endif
+
+export CFLAGS
+export CXXFLAGS
 
 # shared library versions, option 1
 version=0.0.0

## maemo-security-certman 0.2.10

=== debian/changelog ===
maemo-security-certman (0.2.10) unstable; urgency=low

  Update the root CA store to match mozilla-central revision d10c97627b51

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Mon, 28 Aug 2017 06:41:43 -0400
